=== debian/control ===
Source: ros-humble-rmw
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-ament-cmake-ros, ros-humble-ament-cmake-version, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-osrf-testing-tools-cpp <!nocheck>, ros-humble-rcutils, ros-humble-rosidl-runtime-c, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rmw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rcutils, ros-humble-rosidl-runtime-c, ros-humble-ros-workspace
Description: Contains the ROS middleware API.
