## ros-humble-rmw 6.1.2

=== debian/changelog ===
ros-humble-rmw (6.1.2-1bookworm) bookworm; urgency=high

  * rmw_send_reqponse returns RMW_RET_TIMEOUT. (#350 <https://github.com/ros2/rmw/issues/350>) (#367 <https://github.com/ros2/rmw/issues/367>)
  * Contributors: mergify[bot]

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 14 May 2024 16:00:00 -0000

ros-humble-rmw (6.1.1-1bookworm) bookworm; urgency=high

  * callback can be NULL to clear in Listener APIs. (#332 <https://github.com/ros2/rmw/issues/332>) (#333 <https://github.com/ros2/rmw/issues/333>)
  * Contributors: mergify[bot]

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rmw (6.1.0-1bookworm) bookworm; urgency=high

  * Add content filtered topics support. (#302 <https://github.com/ros2/rmw/issues/302>)
  * Add sequence numbers to rmw_message_info_t. (#318 <https://github.com/ros2/rmw/issues/318>)
  * Add rmw_feature_supported(). (#318 <https://github.com/ros2/rmw/issues/318>)
  * Contributors: Chen Lihui, Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 24 Mar 2022 16:00:00 -0000

ros-humble-rmw (6.0.0-1bookworm) bookworm; urgency=high

  * Add EventsExecutor (#286 <https://github.com/ros2/rmw/issues/286>)
  * Document that rmw_wait() SHOULD use a monotonic clock (#316 <https://github.com/ros2/rmw/issues/316>)
  * Install headers to include/${PROJECT_NAME} (#317 <https://github.com/ros2/rmw/issues/317>)
  * Update rmw_server_is_available() API documentation. (#277 <https://github.com/ros2/rmw/issues/277>)
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo, Shane Loretz, iRobot ROS

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rmw (5.1.0-1bookworm) bookworm; urgency=high

  * Add client/service QoS getters. (#314 <https://github.com/ros2/rmw/issues/314>)
  * Contributors: mauropasse

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 18 Nov 2021 16:00:00 -0000

ros-humble-rmw (5.0.0-1bookworm) bookworm; urgency=high

  * Fix up documentation build for rmw when using rosdoc2 (#313 <https://github.com/ros2/rmw/issues/313>)
  * Fix up errors in doxygen documentation (#311 <https://github.com/ros2/rmw/issues/311>)
  * Fix copy-paste error in API doc for rmw_get_gid_for_publisher (#310 <https://github.com/ros2/rmw/issues/310>)
  * Contributors: Chris Lalancette, Christophe Bedard, Michel Hidalgo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 14 Sep 2021 16:00:00 -0000

ros-humble-rmw (4.0.0-1bookworm) bookworm; urgency=high

  * Add rmw_publisher_wait_for_all_acked support. (#296 <https://github.com/ros2/rmw/issues/296>)
  * Contributors: Barry Xu

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 01 Jun 2021 16:00:00 -0000

ros-humble-rmw (3.3.1-1bookworm) bookworm; urgency=high

  * Document which QoS policies are correctly read by rmw_get_publishers/subscriptions_info_by_topic (#308 <https://github.com/ros2/rmw/issues/308>)
  * Contributors: Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 25 Apr 2021 16:00:00 -0000

ros-humble-rmw (3.3.0-1bookworm) bookworm; urgency=high

  * Unique network flows (#294 <https://github.com/ros2/rmw/issues/294>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#307 <https://github.com/ros2/rmw/issues/307>)
  * Contributors: Ananya Muddukrishna, shonigmann

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-rmw (3.2.0-1bookworm) bookworm; urgency=high

  * Introduce RMW_DURATION_INFINITE constant and API return value promise (#301 <https://github.com/ros2/rmw/issues/301>)
  * Contributors: Emerson Knapp

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 10 Mar 2021 16:00:00 -0000

ros-humble-rmw (3.1.0-1bookworm) bookworm; urgency=high

  * Add declaration for function to check QoS profile compatibility (#299 <https://github.com/ros2/rmw/issues/299>)
  * Update the rmw_take_sequence documentation. (#297 <https://github.com/ros2/rmw/issues/297>)
  * Contributors: Chris Lalancette, Jacob Perron

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 24 Feb 2021 16:00:00 -0000

ros-humble-rmw (3.0.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-rmw (2.2.1-1bookworm) bookworm; urgency=high

  * Update rmw QD to QL 1 (#289 <https://github.com/ros2/rmw/issues/289>)
  * Contributors: Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 09 Dec 2020 16:00:00 -0000

ros-humble-rmw (2.2.0-1bookworm) bookworm; urgency=high

  * Extend rmw_qos_policy_kind_t, add functions to convert it to/from a string (#285 <https://github.com/ros2/rmw/issues/285>)
  * Add functions to convert between qos policy values and strings (#284 <https://github.com/ros2/rmw/issues/284>)
  * Update maintainers (#282 <https://github.com/ros2/rmw/issues/282>)
  * Update service request/response API documentation (#279 <https://github.com/ros2/rmw/issues/279>)
  * Update rmw_get_serialized_message_size docblock (#281 <https://github.com/ros2/rmw/issues/281>)
  * Update rmw_service_server_is_available doc (#280 <https://github.com/ros2/rmw/issues/280>)
  * Update wait and wait sets' API documentation (#275 <https://github.com/ros2/rmw/issues/275>)
  * Update graph API documentation (#272 <https://github.com/ros2/rmw/issues/272>)
  * Update service server/client creation/destruction API documentation. (#276 <https://github.com/ros2/rmw/issues/276>)
  * Update rmw_*_*_allocation return values (#278 <https://github.com/ros2/rmw/issues/278>)
  * Update gid API documentation (#274 <https://github.com/ros2/rmw/issues/274>)
  * Do not link against pthread on Android (#267 <https://github.com/ros2/rmw/issues/267>)
  * Update taking API documentation (#271 <https://github.com/ros2/rmw/issues/271>)
  * Update publishing API documentation (#270 <https://github.com/ros2/rmw/issues/270>)

